Name:             guacamole-common
Version:          0.6.2
Release:          1%{?dist}
Summary:          The core Java library used by the Guacamole web application
License:          MPLv1.1 or GPLv2+ or LGPLv2+
Group:            Development/Libraries
URL:              http://guac-dev.org/
Source0:          http://guac-dev.org/pub/dist/source/%{name}-%{version}.tar.gz
BuildArch:        noarch

# Generic Buildrequires:
# https://fedoraproject.org/wiki/Packaging:Java#maven_3
BuildRequires:    java-devel
BuildRequires:    jpackage-utils
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
Requires:         java
Requires:         jpackage-utils

# Specific ones:
BuildRequires:    maven-dependency-plugin
Requires:         slf4j >= 1.6.1
%if 0%{?fedora} || 0%{?rhel} > 6
BuildRequires:    servlet3
%else
BuildRequires:    servlet25
%endif

%description
Guacamole is an HTML5 web application that provides access to desktop
environments using remote desktop protocols such as VNC or RDP. A centralized
server acts as a tunnel and proxy, allowing access to multiple desktops through
a web browser. No plugins are needed: the client requires nothing more than a
web browser supporting HTML5 and AJAX.

%{name} is the core Java library used by the Guacamole web application.
%{name} provides abstract means of connecting to guacd, interfacing
with the JavaScript client and tunnel provided by guacamole-common-js, and
reading configuration from a standard location (guacamole.properties).

%package javadoc
Summary:          API documentation for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
mvn-rpmbuild install javadoc:aggregate

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}/guacamole
cp -p target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/guacamole/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.guacamole-%{name}.pom

%add_maven_depmap JPP.guacamole-%{name}.pom guacamole/%{name}.jar


%files
%doc LICENSE README
%{_mavenpomdir}/JPP.guacamole-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%{_javadir}/guacamole

%files javadoc
%doc LICENSE
%{_javadocdir}/%{name}


%changelog
* Mon Oct 22 2012 Simone Caronni <negativo17@gmail.com> - 0.6.2-1
- Updated to 0.6.2.

* Thu Sep 13 2012 Simone Caronni <negativo17@gmail.com> - 0.6.1-2
- Change Source0 URL

* Thu Aug 30 2012 Simone Caronni <negativo17@gmail.com> - 0.6.1-1
- Updated to 0.6.1.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 30 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-6
- Fix requirements.

* Fri May 25 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-5
- Added conditional on servlet25/3 for RHEL build.

* Fri May 25 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-4
- Fixed .pom file installation.
- Changed ownership from jar to containing directory.

* Fri May 25 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-3
- Fixed add_maven_depmap macro.

* Fri May 25 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-2
- Added Requires on slf4j and servlet3.
- Added LICENSE file to javadoc subpackage.
- Install pom file from pom.xml.
- Moved jar file to guacamole subdirectory.

* Thu May 24 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-1
- First build.
